#ifndef OCRRESULTWIDGET_H
#define OCRRESULTWIDGET_H

#include <QObject>
#include <QTextEdit>

class OCRResultWidget : public QTextEdit
{
    Q_OBJECT
public:
    OCRResultWidget(QWidget *parent = nullptr);
    //    void setAlignment(Qt::Alignment alignment)override;
public Q_SLOTS:

    void setFormatedText(QVector<QString>);


private Q_SLOTS:

    void setThemeStyle();

private:
    void setFormatedText(QString);
};

#endif // OCRRESULTWIDGET_H
